BasicTreeUI.KeyHandler (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.swing.plaf.basic, class: BasicTreeUI, class: KeyHandler
Keywords: javax.swing.plaf.basic.BasicTreeUI.KeyHandler class

# Class BasicTreeUI.KeyHandler

java.lang.Object
java.awt.event.KeyAdapter
javax.swing.plaf.basic.BasicTreeUI.KeyHandler

All Implemented Interfaces:
  `KeyListener, EventListener`

Enclosing class:
  `BasicTreeUI`

public class BasicTreeUI.KeyHandler extends KeyAdapter
This is used to get multiple key down events to appropriately generate events.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `isKeyDown`
  Set to true while keyPressed is active.
  `protected Action`
  `repeatKeyAction`
  Key code that is being generated for.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KeyHandler()`
  Constructs a `KeyHandler`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `keyTyped(KeyEvent e)`
  Invoked when a key has been typed.

  ### Methods declared in class KeyAdapter

  `keyPressed, keyReleased`
  Modifier and Type
  Method
  Description
  `void`
  `keyPressed(KeyEvent e)`
  Invoked when a key has been pressed.
  `void`
  `keyReleased(KeyEvent e)`
  Invoked when a key has been released.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### repeatKeyAction

    protected Action repeatKeyAction
    Key code that is being generated for.

  - ### isKeyDown

    protected boolean isKeyDown
    Set to true while keyPressed is active.

- ## Constructor Details

  - ### KeyHandler

    public KeyHandler()
    Constructs a `KeyHandler`.

- ## Method Details

  - ### keyTyped

    public void keyTyped(KeyEvent e)
    Invoked when a key has been typed. Moves the keyboard focus to the first element whose first letter matches the alphanumeric key pressed by the user. Subsequent same key presses move the keyboard focus to the next object that starts with the same letter.
    Specified by:
      `keyTyped` in interface `KeyListener`
    Overrides:
      `keyTyped` in class `KeyAdapter`
    Parameters:
      `e` - the event to be processed